package graph;


public class Highway implements Comparable<Highway>{

	int cityA, cityB;
    double priority; //low value means the highway is more important
    int number_of_highway;

    public Highway(int cityA, int cityB, double priority, int number_of_highway){
        this.cityA = cityA;
        this.cityB = cityB;
        this.priority = priority;
        this.number_of_highway = number_of_highway;
    }
    
    public int getCityA(){
        return cityA;
    }
    
    public int getCityB(){
        return cityB;
    }
    
    public double getPriority(){
        return priority;
    }
    
    public int getNumberOfHighway(){
    	return number_of_highway;
    }
    
    public int compareTo(Highway highway){
        return (this.priority < highway.priority) ? -1: 1;
    }
}
